Query Payments
curl --request GET \
--url https://b2b-api.dev-riseworks.io/v2/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://b2b-api.dev-riseworks.io/v2/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api.dev-riseworks.io/v2/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"recipient": {
"nanoid": "<string>",
"riseid": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"zip_code": "<string>"
}
},
"payer": {
"nanoid": "<string>",
"riseid": "<string>",
"avatar": "<string>",
"name": "<string>"
},
"invoice": {
"amount_cents": 0,
"automated_payment": true,
"documents_ids": [
"<string>"
],
"group_nanoid": "<string>",
"group_onchain_id": "<string>",
"hourly_rate_usd_cents": 123,
"invoice_number": "",
"invoice_status": "draft",
"is_aor": false,
"nanoid": "<string>",
"pay_intent_time": 0,
"payer_nanoid": "<string>",
"recipient_nanoid": "<string>",
"rise_sow": true,
"time_entries": [
{
"date": "<string>",
"hours": 0,
"minutes": 0,
"notes": "<string>"
}
],
"created_at": "<unknown>",
"external_id": "<string>",
"external_id_unique_claim": true,
"external_sow_url": "<string>",
"invoice_description": "<string>",
"payment_details": "<string>",
"payment_onchain_id": "<string>",
"reason_id": 123,
"role_description": "<string>",
"services_description": "<string>",
"sow_document_nanoid": "<string>",
"subscription_fee_metadata": {
"subscription_type": 0,
"fee_month_epoch": 0,
"recipients": [
{
"address": "<string>",
"amount": 123
}
],
"usage_month_epoch": 0,
"source_payment_invoice_number": "<string>"
},
"updated_at": "<unknown>"
},
"payment": {
"creation_transaction": "<string>",
"group_onchain_id": "<string>",
"invoice_nanoid": "<string>",
"nanoid": "<string>",
"onchain_id": "<string>",
"payment_group_nanoid": "<string>",
"process_transaction": "<string>",
"pay_at_time": 0,
"token_amount": "<string>",
"amount_cents": 0,
"currency_symbol": "<string>",
"token_decimals": 0,
"valid_minutes": 0,
"created_at": "<unknown>",
"updated_at": "<unknown>",
"v1_metadata": "<string>"
}
}
]
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Payments
Query Payments
Query payments for a team, optionally filtered by recipient and date range.
GET
/
v2
/
payments
Query Payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Available options:
all, intent, scheduled, complete A date accepted as ISO-8601 string, epoch milliseconds (number), or Date. Legacy v1 format YYYY-MM-DD HH:mm:ss is normalized to YYYY-MM-DDTHH:mm:ss before parsing. Coerced to a Date after validation.
A date accepted as ISO-8601 string, epoch milliseconds (number), or Date. Legacy v1 format YYYY-MM-DD HH:mm:ss is normalized to YYYY-MM-DDTHH:mm:ss before parsing. Coerced to a Date after validation.
Available options:
payable, receivable Identifier of a Rise user. 15-character nanoid prefixed with us-.
Required string length:
15Pattern:
^us-.*⌘I
